# Return app's info from sitemap.json

This function retrieves an application's information from a specific
theme's sitemap.json file.

Endpoint: GET /Branding/get_information_for_applications
Version: 11.136.0.31
Security: BasicAuth

## Query parameters:

  - `docroot` (string, required)
    The absolute path to the directory containing the sitemap.json file.
This is the path to your theme's document root.
    Example: "/usr/local/cpanel/base/webmail/jupiter"

  - `app_keys` (string)
    A comma-separated list of Appkey names. If you do not
specify this parameter, the output will include all of the applications that the
sitemap.json file contains.

Note:

This value must match an application's key value in the sitemap.json file.
For more information, read our
Guide to cPanel Interface Customization - Appkeys
documentation.
    Example: "email_filters"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_information_for_applications"

  - `module` (string)
    The name of the module called.
    Example: "Branding"

  - `result` (object)

  - `result.data` (object)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


